SCATPLT_CREATE(3)

EXPERIMENTAL_FUNC
scatplt_create - Create scatter plot.

SYNOPSIS
#include <karma_scatplt.h>

KScatterPlot scatplt_create

(KWorldCanvas canvas, unsigned int num_points, CONST double *x, CONST double *y, uaddr key)

DESCRIPTION
This routine will create a scatter plot object from two arrays of values. At a later time, this scatter plot may be made visible. This routine will not cause the canvas to be refreshed.

canvas
    The world canvas onto which the scatter plot may be drawn. Many scatter plots may be associated with a single canvas.

num_points
    The number of points in this scatter plot.

x   The array of horizontal values.

y   The array of vertical values.

key The key to associate with this scatter plot.

RETURN VALUE
A KScatterPlot object on success, NULL.

Multi-threading Level
Unsafe.

NOTE
The KScatterPlot will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/